Rated 3 out of 5 stars

Still no news about a 3.6.* compatible version. The author web page domain isn't even loading. Note to Shyam: Stealther (1.0.9) seems to work with FF 3.6.3 and is an acceptable alternative to Distrust.